View as Markdown

List event-level metadata for a session

GET /v1/sessions/{sessionId}/events
Base URL
https://api.isnotai.com
Available Regions 2 regions

Path Parameters

sessionId
string Required

Session id.

Query Parameters

pageSize
integer(int32)

Page size. The maximum is scoped to the integration’s plan tier (Free 50, Pro and Enterprise 100). Requests above the tier maximum clamp to the maximum and the effective value is returned in pagination.limit. Minimum 1. Default 100, itself clamped by the tier maximum.

cursor
string

Opaque pagination cursor returned by the previous page’s pagination.nextCursor. Omit to start from the beginning.

type
string

Optional event-type filter. Accepts message-type byte as decimal/hex (e.g. 1, 0x01) or short name (e.g. init, mouse_move, keypress).

startTime
integer(int64)

Lower bound on timestamp (Unix milliseconds, inclusive).

endTime
integer(int64)

Upper bound on timestamp (Unix milliseconds, inclusive).

Responses

200 application/json

Payload of EventListResponse

Show 2 response attributes Hide response attributes
data
array[object]
Show 5 data attributes Hide data attributes
eventId
string
messageId
integer(int32)
eventTypeName
string
timestamp
integer(int64)
payloadSize
integer(int32)
pagination
object
Show 3 pagination attributes Hide pagination attributes
nextCursor
string
hasMore
boolean
limit
integer(int32)
400 application/json

Payload of ErrorEnvelope

Show 1 response attribute Hide response attributes
error
object
Show 3 error attributes Hide error attributes
code
string
message
string
details
object
401 application/json

Payload of ErrorEnvelope

Show 1 response attribute Hide response attributes
error
object
Show 3 error attributes Hide error attributes
code
string
message
string
details
object
404 application/json

Payload of ErrorEnvelope

Show 1 response attribute Hide response attributes
error
object
Show 3 error attributes Hide error attributes
code
string
message
string
details
object
GET /v1/sessions/{sessionId}/events
curl --request GET \
  --url https://api.isnotai.com/v1/sessions/your-sessionId/events \
  --header 'Authorization: Bearer aik_v1_YOUR_API_KEY'
import requests

url = "https://api.isnotai.com/v1/sessions/your-sessionId/events"

headers = {"Authorization": "Bearer aik_v1_YOUR_API_KEY"}

response = requests.get(url, headers=headers)

print(response.json())
const fetch = require('node-fetch');

const url = 'https://api.isnotai.com/v1/sessions/your-sessionId/events';
const options = {method: 'GET', headers: {Authorization: 'Bearer aik_v1_YOUR_API_KEY'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
    Method = HttpMethod.Get,
    RequestUri = new Uri("https://api.isnotai.com/v1/sessions/your-sessionId/events"),
    Headers =
    {
        { "Authorization", "Bearer aik_v1_YOUR_API_KEY" },
    },
};
using (var response = await client.SendAsync(request))
{
    response.EnsureSuccessStatusCode();
    var body = await response.Content.ReadAsStringAsync();
    Console.WriteLine(body);
}

Try it

Collapse

Sent to the API as Authorization: Bearer aik_v1_.... Held only in this tab's input element; re-enter on each browser tab. The docs site never receives or stores it.

Path parameters

Session id.

Query parameters

Page size. The maximum is scoped to the integration's plan tier (Free 50, Pro and Enterprise 100). Requests above the tier maximum clamp to the maximum and the effective value is returned in pagination.limit. Minimum 1. Default 100, itself clamped by the tier maximum.

Opaque pagination cursor returned by the previous page's `pagination.nextCursor`. Omit to start from the beginning.

Optional event-type filter. Accepts message-type byte as decimal/hex (e.g. 1, 0x01) or short name (e.g. init, mouse_move, keypress).

Lower bound on timestamp (Unix milliseconds, inclusive).

Upper bound on timestamp (Unix milliseconds, inclusive).

200 Response examples
{
  "data": [
    {
      "eventId": "string",
      "messageId": 0,
      "eventTypeName": "string",
      "timestamp": 0,
      "payloadSize": 0
    }
  ],
  "pagination": {
    "nextCursor": "string",
    "hasMore": false,
    "limit": 0
  }
}
400 Response examples
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {}
  }
}
401 Response examples
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {}
  }
}
404 Response examples
{
  "error": {
    "code": "string",
    "message": "string",
    "details": {}
  }
}